## deap 0.7.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/EAP.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/EAP.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## deap 0.6

=== debian/changelog ===
deap (0.6-1) unstable; urgency=low

  * Initial release. Closes: #609834

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 09 Dec 2010 23:05:47 +0100

=== debian/control ===
Source: deap
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>
Build-Depends: debhelper (>= 7), dh-buildinfo, quilt,
 python-all, python-support, python-setuptools, python-sphinx, dvipng
Standards-Version: 3.9.1
Homepage: https://code.google.com/p/deap/

Package: python-deap
Architecture: all
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Suggests: python-deap-doc
Description: Distributed Evolutionary Algorithms in Python
 DEAP is intended to be an easy to use distributed evolutionary algorithm
 library in the Python language. Its two main components are modular and can
 be used separately. The first module is a Distributed Task Manager (DTM),
 which is intended to run on cluster of computers. The second part is the
 Evolutionary Algorithms in Python (EAP) framework.

Package: python-deap-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Recommends: python-deap
Description: Distributed Evolutionary Algorithms in Python - documentation
 DEAP is intended to be an easy to use distributed evolutionary algorithm
 library in the Python language. Its two main components are modular and can
 be used separately. The first module is a Distributed Task Manager (DTM),
 which is intended to run on cluster of computers. The second part is the
 Evolutionary Algorithms in Python (EAP) framework.
 .
 This package contains the documentation.

## deap 0.7.1

=== debian/changelog ===
deap (0.7.1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Add Vcs-* fields.

  [ Miriam Ruiz ]
  * New Upstream Release
  * Upgraded Standards-Version from 3.9.1 to 3.9.2

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 17 Nov 2011 11:53:15 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,10 @@
 Uploaders: Miriam Ruiz <little_miry@yahoo.es>
 Build-Depends: debhelper (>= 7), dh-buildinfo, quilt,
  python-all, python-support, python-setuptools, python-sphinx, dvipng
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: https://code.google.com/p/deap/
+Vcs-Svn: svn://svn.debian.org/python-modules/packages/deap/trunk/
+Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/deap/trunk/
 
 Package: python-deap
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

PYVERS=$(shell pyversions -vs)

config: config-stamp
config-stamp: 
	dh_testdir
	[ ! -d debian/patches ] || $(MAKE) -f /usr/share/quilt/quilt.make patch
	touch $@

build: $(PYVERS:%=build-python%)
	mkdir -p build/html/
	sphinx-build doc/ build/html/

build-python%: config-stamp
	dh_testdir
	python$* setup.py build
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f config-stamp build-python?.* install-python?.*
	rm -f `find . -name "*.pyc"`
	rm -rf build doc/build
	[ ! -d debian/patches ] || $(MAKE) -f /usr/share/quilt/quilt.make unpatch
	dh_clean

install: build $(PYVERS:%=install-python%)

install-python%:
	dh_testdir
	dh_testroot
	python$* setup.py install \
		--no-compile \
		--root=$(CURDIR)/debian/python-deap
	touch $@

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installman
	dh_link
	dh_compress --exclude=.js --exclude=.pdf --exclude=.py --exclude=.yml
	dh_fixperms
	dh_pysupport
	[ ! -e /usr/bin/dh_buildinfo ] || dh_buildinfo
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: config build clean binary-indep binary-arch binary install

## deap 1.0.1

=== debian/changelog ===
deap (1.0.1-4) unstable; urgency=medium

  * deb/control:
    + Uploaders: added missing group belonging.
    + updated Vcs fields (moved to git).
    + added python{,3}-scoop to Suggests.
  * deb/copyright: removed trailing commas, updated.
  * deb/watch: watch pypi.debian.net.
  * Symlinks for docs package to reduce file redundancy:
    + deb/control: added rdfind and symlinks to b-deps.
    + deb/rules: added auto symlink creation to dh_auto_install override.
  * fix-docs.patch:
    + enabled and updated extlinks for examples.
    + don't produce PDFs by Matplotlib (Closes: #775303).
  * Autopkgtests:
    + activated Python deprecation warnings.
    + iterate unittests over py{,3}versions.

 -- Daniel Stender <debian@danielstender.com>  Fri, 08 May 2015 19:50:28 +0200

deap (1.0.1-3+deb8u1) unstable; urgency=medium

  * deb/control:
    + added Conflicts and Replaces of python-deap-doc
     (former name of docs package) for deap-doc (Closes: #765440).

 -- Daniel Stender <debian@danielstender.com>  Fri, 07 Nov 2014 01:24:41 +0100

deap (1.0.1-3) unstable; urgency=medium

  * deb/copyright: added licenses for doc/_static/sidebar.js and
    doc/_static/copybutton.js (Closes: #765330).

 -- Daniel Stender <debian@danielstender.com>  Tue, 14 Oct 2014 11:33:32 +0200

deap (1.0.1-2) unstable; urgency=medium

  * deb/control:
    + Transferred package to individual maintenance.
    + Added package description for python3-deap.
    + Updated b-ds and package dependencies, added numpy and
      matplotlib to Recommends.
    + Bumped standards to 3.9.6 (no changes needed).
    + Changed package descriptions (antiquated).
  * deb/copyright:
    + Removed redundant paragraph.
  * deb/rules:
    + Added export lines for DH_VERBOSE and DEB_BUILD_OPTIONS.
    + Build with Pybuild and dh_sphinxdoc, reduced.
  * Tests:
    + deb/control: added python{,3}-numpy to b-deps.
    + Added fix-tests.patch.
    + Set up autopkgtest suite.
  * Docs:
    + deb/control: renamed docs package (changed doc-base accordingly),
      added needed packages (matplotlib, latex-extra, dvipng).
    + Dropped deb/python-deap-doc.install, added deb/deap-doc.examples.
    + Added fix-docs.patch (dropped deb/remove_ga.awk).
    + Included doc.patch into fix-docs.patch.
  * Improved watch file.
  * Removed deb/source/options and deb/README.source (obsolete).

 -- Daniel Stender <debian@danielstender.com>  Mon, 13 Oct 2014 08:24:40 +0200

deap (1.0.1-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release. Closes: #675200
  * Upgraded Standards-Version from 3.9.2 to 3.9.5
  * Switched to dh_python2
  * Upgraded debian/compat to 9
  * Added build-arch and build-indep targets to debian/rules
  * Using awk to remove connection from the documentation to google analytics
  * Using jquery.js and underscore.js from libjs-jquery and libjs-underscore
  * Added patches/doc.patch

  [ Daniel Stender ]
  * deb/control:
    + Added myself to Uploaders.
    + Added version to b-p on python-all.
    + Updated Homepage.
    + Wrapped and sorted.
  * deb/copyright:
    + Changed copyright file towards DEP-5.
    + Updated Source URI (project source moved to Github).
    + Added email addresses for copyright holders.
    + Dropped license for eap/toolbox.py (not included anymore).
    + Extended copyrights to 2014.
    + Added myself to copyrights for deb/*.
    + Specified license location.
  * Added watch file [initial version by Jackson Doak].

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Daniel Stender <debian@danielstender.com>  Sun, 06 Jul 2014 00:03:41 +0200

=== debian/control ===
Source: deap
Section: python
Priority: optional
Maintainer: Daniel Stender <debian@danielstender.com>
Uploaders:
 Miriam Ruiz <miriam@debian.org>,
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 dvipng,
 python-all,
 python-matplotlib,
 python-numpy,
 python-sphinx,
 python3-all,
 python3-numpy,
 rdfind,
 symlinks,
 texlive-latex-extra
Standards-Version: 3.9.6
Homepage: http://deap.gel.ulaval.ca/doc/default/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/deap.git
Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/deap.git
Testsuite: autopkgtest

Package: python-deap
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends}
Recommends:
 python-matplotlib,
 python-numpy
Suggests:
 deap-doc,
 python-scoop
Description: Distributed Evolutionary Algorithms in Python
 DEAP is a novel evolutionary computation framework for rapid prototyping and
 testing of ideas. It seeks to make algorithms explicit and data structures
 transparent. It works in perfect harmony with parallelisation mechanism such as
 multiprocessing and SCOOP.
 .
 This package contains the modules for Python.

Package: python3-deap
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Recommends:
 python3-matplotlib,
 python3-numpy
Suggests:
 deap-doc,
 python3-scoop
Description: Distributed Evolutionary Algorithms in Python3
 DEAP is a novel evolutionary computation framework for rapid prototyping and
 testing of ideas. It seeks to make algorithms explicit and data structures
 transparent. It works in perfect harmony with parallelisation mechanism such as
 multiprocessing and SCOOP.
 .
 This package contains the modules for Python3.

Package: deap-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Recommends:
 python-deap,
 python3-deap
Conflicts:
 python-deap-doc
Replaces:
 python-deap-doc
Description: Distributed Evolutionary Algorithms in Python (docs)
 DEAP is a novel evolutionary computation framework for rapid prototyping and
 testing of ideas. It seeks to make algorithms explicit and data structures
 transparent. It works in perfect harmony with parallelisation mechanism such as
 multiprocessing and SCOOP.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=deap

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc debian/deap-doc/usr/share/doc/deap-doc/html
	rdfind -outputname /dev/null -makesymlinks true debian/deap-doc
	symlinks -r -s -c debian/deap-doc
endif

override_dh_compress:
	dh_compress -X.py -X.json -X.csv -X.cpp # save examples

=== debian/tests/control ===
Tests: python-deap
Depends: python-deap, python-numpy

Tests: python3-deap
Depends: python3-deap, python3-numpy

## deap 1.0.2.post2

=== debian/changelog ===
deap (1.0.2.post2-5) unstable; urgency=medium

  * Team upload.
  * deb/control: restore Miriam as Maintainer.
  * deb/gbp.conf: remove duplicated field.

 -- Daniel Stender <stender@debian.org>  Mon, 24 Jul 2017 18:49:20 +0200

deap (1.0.2.post2-4) unstable; urgency=medium

  * convert from git-dpm to gbp (drop deb/.git-dpm, add deb/gbp.conf).

 -- Daniel Stender <stender@debian.org>  Sat, 15 Jul 2017 21:01:46 +0200

deap (1.0.2.post2-3) unstable; urgency=medium

  * bump debhelper level and build-dep to 10 (deb/compat and deb/control).
  * deb/control:
    + moved docs package to Recommends (following standards update).
  * deb/copyright:
    + use https in Format field (as preferred by new standards).
    + expand copyright span.
  * deb/rules:
    + restored switch for DEB_BUILD_OPTIONS=nodoc (accepted in standards).
  * bump standards version to 4.0.0 (no further changes needed).

 -- Daniel Stender <stender@debian.org>  Thu, 13 Jul 2017 07:31:37 +0200

deap (1.0.2.post2-2) unstable; urgency=medium

  * fix-docs.patch: hardcode copyright span for reproducible
    builds.

 -- Daniel Stender <stender@debian.org>  Sun, 20 Mar 2016 13:48:02 +0100

deap (1.0.2.post2-1) unstable; urgency=medium

  * New upstream release (Closes: #818717).
  * deb/control:
    + updated maintainer email address, cosmetics.
    + added Pandoc to build-deps.
    + bumped standards version to 3.9.7 (no changes needed).
    + use HTTPS also for Vcs-Git.
    + removed Testsuite field (obsolete).
  * deb/copyright: updated.
  * deb/rules:
    + added export for LC_ALL (build needs UTF-8).
    + removed DEB_BUILD_OPTIONS=nodocs switch from dh_auto_install (obsolete).
    + added override for dh_installdocs to convert and distribute README.
  * Dropped deb/gbp.conf (package handled by git-dpm).

 -- Daniel Stender <stender@debian.org>  Sun, 20 Mar 2016 02:27:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,26 @@
 Source: deap
 Section: python
 Priority: optional
-Maintainer: Daniel Stender <debian@danielstender.com>
-Uploaders:
- Miriam Ruiz <miriam@debian.org>,
- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Miriam Ruiz <miriam@debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
+ python-all,
+ python3-all,
+ python-numpy,
+ python3-numpy,
+ python-sphinx,
+ python-matplotlib,
+ texlive-latex-extra,
  dvipng,
- python-all,
- python-matplotlib,
- python-numpy,
- python-sphinx,
- python3-all,
- python3-numpy,
  rdfind,
  symlinks,
- texlive-latex-extra
-Standards-Version: 3.9.6
+ pandoc
+Standards-Version: 4.0.0
 Homepage: http://deap.gel.ulaval.ca/doc/default/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/deap.git
-Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/deap.git
-Testsuite: autopkgtest
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/deap.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/deap.git
 
 Package: python-deap
 Architecture: all
@@ -30,10 +28,10 @@
  ${misc:Depends},
  ${python:Depends}
 Recommends:
+ deap-doc,
  python-matplotlib,
  python-numpy
 Suggests:
- deap-doc,
  python-scoop
 Description: Distributed Evolutionary Algorithms in Python
  DEAP is a novel evolutionary computation framework for rapid prototyping and
@@ -49,10 +47,10 @@
  ${misc:Depends},
  ${python3:Depends}
 Recommends:
+ deap-doc,
  python3-matplotlib,
  python3-numpy
 Suggests:
- deap-doc,
  python3-scoop
 Description: Distributed Evolutionary Algorithms in Python3
  DEAP is a novel evolutionary computation framework for rapid prototyping and

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=deap
export LC_ALL=C.UTF-8

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc debian/deap-doc/usr/share/doc/deap-doc/html
endif
	rdfind -outputname /dev/null -makesymlinks true debian/deap-doc
	symlinks -r -s -c debian/deap-doc

override_dh_installdocs:
	pandoc -f markdown -t plain -o .pybuild/README README.md
	dh_installdocs -A .pybuild/README

override_dh_compress:
	dh_compress -X.py -X.json -X.csv -X.cpp # save examples

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/deap/deap-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## deap 1.3.1

=== debian/changelog ===
deap (1.3.1-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:32:25 +0100

deap (1.3.1-1) unstable; urgency=medium

  * Team upload.

  * New upstream version 1.3.1
  * d/patches:
    - Drop 0002-fix-tests (fixed upstream)
    - Drop 0003-remove-pngmath (fixed upstream)
    - Refresh remaining patches
    - Add patch Use-system-MathJax-library.patch
    - Add patch Python3-syntax-fixes.patch
  * d/control:
    - Bump Standards-Version to 4.5.0
    - Set Rules-Requires-Root to no
    - Add python3-setuptools, python3-nose to Build-Depends
    - Switch binary package python3-deap from arch:all to arch:any
      The new upstream version compiles an extension
    - Add libjs-mathjax and fonts-mathjax to deap-doc Depends
    - Bump debhelper compatibility to 12
  * d/rules:
    - Move sphinx doc building from install target to build target
    - Add hardening=+all to DEB_BUILD_MAINT_OPTIONS
  * Add python3-nose to autopkgtest Depends
  * Update copyrights

 -- Christian Kastner <ckk@debian.org>  Wed, 05 Feb 2020 21:56:52 +0100

deap (1.0.2.post2-7) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #936374, #942991

 -- Sandro Tosi <morph@debian.org>  Wed, 06 Nov 2019 15:52:28 -0500

deap (1.0.2.post2-6) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Sascha Steinbiss ]
  * Use imgmath Sphinx extension instead of deprecated pngmath.
    Closes: #921778

 -- Andreas Tille <tille@debian.org>  Mon, 04 Mar 2019 17:10:51 +0100

=== debian/control ===
Source: deap
Section: python
Priority: optional
Maintainer: Miriam Ruiz <miriam@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all-dev,
 python3-setuptools,
 python3-nose,
 python3-numpy,
 python3-sphinx,
 python3-matplotlib,
 texlive-latex-extra,
 dvipng,
 rdfind,
 symlinks,
 pandoc
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: http://deap.gel.ulaval.ca/doc/default/
Vcs-Git: https://salsa.debian.org/python-team/modules/deap.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/deap

Package: python3-deap
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends}
Recommends:
 deap-doc,
 python3-matplotlib,
 python3-numpy
Suggests:
 python3-scoop
Description: Distributed Evolutionary Algorithms in Python3
 DEAP is a novel evolutionary computation framework for rapid prototyping and
 testing of ideas. It seeks to make algorithms explicit and data structures
 transparent. It works in perfect harmony with parallelisation mechanism such as
 multiprocessing and SCOOP.
 .
 This package contains the modules for Python3.

Package: deap-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
 libjs-mathjax,
 fonts-mathjax
Recommends:
 python3-deap
Conflicts:
 python-deap-doc
Replaces:
 python-deap-doc
Description: Distributed Evolutionary Algorithms in Python (docs)
 DEAP is a novel evolutionary computation framework for rapid prototyping and
 testing of ideas. It seeks to make algorithms explicit and data structures
 transparent. It works in perfect harmony with parallelisation mechanism such as
 multiprocessing and SCOOP.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=deap
export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS:= hardening=+all

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C doc html
endif

override_dh_auto_install:
	dh_auto_install
	rdfind -outputname /dev/null -makesymlinks true debian/deap-doc
	symlinks -r -s -c debian/deap-doc

override_dh_installdocs:
	pandoc -f markdown -t plain -o .pybuild/README README.md
	dh_installdocs -A .pybuild/README

override_dh_compress:
	dh_compress -X.py -X.json -X.csv -X.cpp # save examples

=== debian/tests/control ===
Tests: python3-deap
Depends: python3-deap, python3-numpy, python3-nose

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/deap/deap-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## deap 1.4.1

=== doc/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 	-rm -rf $(BUILDDIR)/*
 
 html:
-	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
+	PYTHONPATH=${PWD}/../ $(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html	
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

=== debian/changelog ===
deap (1.4.1-3build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:00:13 +0000

deap (1.4.1-3build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:11:59 +0000

deap (1.4.1-3build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:32:33 +0100

deap (1.4.1-3) unstable; urgency=medium

  * Team Upload.
  * Upstream has done a one-time 2to3 conversion, re-remove it from build.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 14 Jun 2024 17:16:13 +0200

deap (1.4.1-2) unstable; urgency=medium

  * d/control: Add lib2to3 as build dependency. It is used in d/rules.
    Closes: #1070480.
  * d/tests/control: Replace python3-nose for python3-pytest. Closes: 1018336.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 08 May 2024 16:36:02 -0300

deap (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1018336
  * Swap Maintainer and Uploaders to reflect team maintenance (with
    permission of Miriam - see bug #1018336)
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 14 Mar 2024 22:04:44 +0100

deap (1.3.1-5) unstable; urgency=medium

  * Team upload.
  * Bug fix: "FTBFS with Sphinx 7.1, docutils 0.20: TypeError: not all arguments converted during string formatting", thanks to Lucas Nussbaum (Closes: #1042694).

 -- Roland Mas <lolando@debian.org>  Fri, 08 Dec 2023 21:56:32 +0100

deap (1.3.1-4) unstable; urgency=medium

  * Team upload.
  * Bug fix: "FTBFS: AssertionError: CMA algorithm did not converged
    properly.", thanks to Lucas Nussbaum for reporting and "s3v" for
    providing a link to the fix (Closes: #1028728).

 -- Roland Mas <lolando@debian.org>  Wed, 22 Feb 2023 15:08:58 +0100

deap (1.3.1-3) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * Support setuptools 58, which dropped 2to3 support (Closes: #997609)
    - Patch out use_2to3 from setup.py.
    - Explicitly convert module using lib2to3 during build.
  * Patch: Make sphinx configuration compatible with Python 3.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * autopkgtest: Depend on python3-all.
  * Bump watch file format to 4.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Stefano Rivera <stefanor@debian.org>  Sun, 21 Nov 2021 09:56:32 -0400

deap (1.3.1-2) unstable; urgency=medium

  * Team upload.

  * Add Adapt-conf.py-for-sphinx-2.0.patch.
    Resolves a FTBFS with the new sphinx. (Closes: #955081)
  * d/rules: Remove built docs during clean
  * autopkgtest: pyversions -s instead of -i.

 -- Christian Kastner <ckk@debian.org>  Tue, 21 Apr 2020 19:08:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: deap
 Section: python
 Priority: optional
-Maintainer: Miriam Ruiz <miriam@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Miriam Ruiz <miriam@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  python3-all-dev,
  python3-setuptools,
- python3-nose,
+ python3-pytest,
  python3-numpy,
  python3-sphinx,
  python3-matplotlib,
@@ -18,10 +18,10 @@
  symlinks,
  pandoc
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: http://deap.gel.ulaval.ca/doc/default/
-Vcs-Git: https://salsa.debian.org/python-team/modules/deap.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/deap
+Vcs-Git: https://salsa.debian.org/python-team/packages/deap.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/deap
 
 Package: python3-deap
 Architecture: any
@@ -33,8 +33,6 @@
  deap-doc,
  python3-matplotlib,
  python3-numpy
-Suggests:
- python3-scoop
 Description: Distributed Evolutionary Algorithms in Python3
  DEAP is a novel evolutionary computation framework for rapid prototyping and
  testing of ideas. It seeks to make algorithms explicit and data structures
@@ -46,6 +44,7 @@
 Package: deap-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,10 @@
 export PYBUILD_NAME=deap
 export LC_ALL=C.UTF-8
 export DEB_BUILD_MAINT_OPTIONS:= hardening=+all
+export PYBUILD_TEST_ARGS=-k 'not test_cma'
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9
@@ -27,3 +28,7 @@
 
 override_dh_compress:
 	dh_compress -X.py -X.json -X.csv -X.cpp # save examples
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf doc/_build

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/deap/deap-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
